package org.xyzh.common.dto.resource;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 资源分类表
 * @filename TbResourceCategory.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbResourceCategory extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 分类唯一标识
     */
    private String categoryID;
    
    /**
     * @description 分类名称
     */
    private String name;
    
    /**
     * @description 父分类ID
     */
    private String parentID;
    
    /**
     * @description 分类描述
     */
    private String description;
    
    /**
     * @description 分类图标
     */
    private String icon;
    
    /**
     * @description 排序号
     */
    private Integer orderNum;
    
    /**
     * @description 创建者
     */
    private String creator;
    
    /**
     * @description 更新者
     */
    private String updater;

    public String getCategoryID() {
        return categoryID;
    }

    public void setCategoryID(String categoryID) {
        this.categoryID = categoryID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentID() {
        return parentID;
    }

    public void setParentID(String parentID) {
        this.parentID = parentID;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    @Override
    public String toString() {
        return "TbResourceCategory{" +
                "id=" + getID() +
                ", categoryID='" + categoryID + '\'' +
                ", name='" + name + '\'' +
                ", parentID='" + parentID + '\'' +
                ", orderNum=" + orderNum +
                ", createTime=" + getCreateTime() +
                '}';
    }
}
